API

Artifacts

Proof-of-work a mission produced: traces, captures and reports.

GET
/artifacts

Query Parameters

issueId?string
projectId?string
sandboxId?string
limit?integer
Range1 <= value <= 2000
Default500

Response Body

application/json

application/json

curl -X GET "https://example.com/artifacts"
{  "data": [    {      "id": "string",      "projectId": "string",      "issueId": "string",      "sessionId": "string",      "sandboxId": "string",      "role": "string",      "kind": "screenshot",      "contentType": "string",      "sizeBytes": 0,      "caption": "string",      "criterion": "string",      "criterionPassed": true,      "createdAt": "string",      "expiresAt": "string",      "url": "string",      "traceViewerUrl": "string"    }  ],  "nextCursor": "string"}
GET
/artifacts/{id}

Path Parameters

id*string
Length1 <= length

Response Body

application/json

application/json

curl -X GET "https://example.com/artifacts/string"
{  "id": "string",  "projectId": "string",  "issueId": "string",  "sessionId": "string",  "sandboxId": "string",  "role": "string",  "kind": "screenshot",  "contentType": "string",  "sizeBytes": 0,  "caption": "string",  "criterion": "string",  "criterionPassed": true,  "createdAt": "string",  "expiresAt": "string",  "url": "string",  "traceViewerUrl": "string"}

How is this page?